Bug 460287 - (htmlparser) Review Request: htmlparser
Review Request: htmlparser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: OmegaT
  Show dependency treegraph
 
Reported: 2008-08-27 08:04 EDT by Ismael Olea
Modified: 2009-07-08 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-12 21:55:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ismael Olea 2008-08-27 08:04:33 EDT
I need a sponsor. 

http://olea.org/tmp/htmlparser.spec
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-1olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-1olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-javadoc-1.6-1olea.noarch.rpm

Koji info: http://koji.fedoraproject.org/koji/taskinfo?taskID=787616

Description:
HTML Parser is a Java library used to parse HTML in either a linear or
nested fashion. Primarily used for transformation or extraction, it features
filters, visitors, custom tags and easy to use JavaBeans. It is a fast,
robust and well tested package.
Comment 1 Mamoru TASAKA 2008-08-29 12:29:27 EDT
For 1.6-1:

* License
  - As far as I checked the codes, the license tag should
    be "LGPLv2+".

* The place of %description
  - Similar to bug 460289, please fix the place of %description

* %prep stage
------------------------------------------------------
%__unzip src.zip
------------------------------------------------------
   - Move this to %prep (to make happy with --short-circuit)

? Symlinking
  - Similar to bug 460289, would you explain why you want to
    add version to jar files' names?

* Duplicate files
  - "license.txt" for -javadoc subpackge is redundant.
Comment 2 Ismael Olea 2008-08-29 17:15:27 EDT
(In reply to comment #1)

> * License
>   - As far as I checked the codes, the license tag should
>     be "LGPLv2+".

done

> * The place of %description
>   - Similar to bug 460289, please fix the place of %description

ups!

> * %prep stage
> ------------------------------------------------------
> %__unzip src.zip
> ------------------------------------------------------
>    - Move this to %prep (to make happy with --short-circuit)

done

> ? Symlinking
>   - Similar to bug 460289, would you explain why you want to
>     add version to jar files' names?

I try to mimmic the same practice than binary libraries (*.so). Seens reasonable for me.
 
> * Duplicate files
>   - "license.txt" for -javadoc subpackge is redundant.

done

http://olea.org/tmp/htmlparser.spec
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-2olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-2olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-javadoc-1.6-2olea.noarch.rpm

(I'm syncing them to the website, if find any trouble try later, please).
Comment 3 Mamoru TASAKA 2008-08-30 12:45:41 EDT
Well,
* I cannot find any notes from the source codes which shows that this software can be
  licensed also under CPL. Are there any explicit declaration?

* I forgot to say in my previous comment, howver for "unzip" command would you use
  "unzip -qq foo.zip" to suppress output? (for tar archive, rpmbuild uses "tar xf" and
   does not show the file list in the archive by default).

* Also I forgot to say in my previous comment, however for cosmetic issue
  please unify macro usage like %{__unzip} (not %__unzip) if you use
  %{_javadir} (not %_javadir) and so on.
Comment 4 Ismael Olea 2008-08-31 06:27:56 EDT
(In reply to comment #3)
> Well,
> * I cannot find any notes from the source codes which shows that this software
> can be
>   licensed also under CPL. Are there any explicit declaration?

Yes, it's in their website: http://htmlparser.sourceforge.net/license.html

I've just investigated into the sources of the 2.0 snapshot and it includes only the CPL. Seems they have changed for the new version.

I'll remove the reference of CPL on 1.6.

> 
> * I forgot to say in my previous comment, howver for "unzip" command would you
> use
>   "unzip -qq foo.zip" to suppress output? (for tar archive, rpmbuild uses "tar
> xf" and
>    does not show the file list in the archive by default).
> 
> * Also I forgot to say in my previous comment, however for cosmetic issue
>   please unify macro usage like %{__unzip} (not %__unzip) if you use
>   %{_javadir} (not %_javadir) and so on.

done

http://olea.org/tmp/htmlparser.spec
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-3olea.src.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-1.6-3olea.noarch.rpm
http://olea.org/paquetes-rpm/fedora-9/htmlparser-javadoc-1.6-3olea.noarch.rpm
Comment 5 Mamoru TASAKA 2008-08-31 11:04:59 EDT
I could not find -3??
Comment 6 Mamoru TASAKA 2008-08-31 11:33:18 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > Well,
> > * I cannot find any notes from the source codes which shows that this software
> > can be
> >   licensed also under CPL. Are there any explicit declaration?
> 
> Yes, it's in their website: http://htmlparser.sourceforge.net/license.html
> 
> I've just investigated into the sources of the 2.0 snapshot and it includes
> only the CPL. Seems they have changed for the new version.
> 
> I'll remove the reference of CPL on 1.6.

Well, this will cause problem as OmegaT is licensed under GPLv2+ while CPL is
incompatible with GPL:
http://fedoraproject.org/wiki/Licensing
Currently htmlparser 1.6 is licensed under GPLv2+ so there is no problem, however
for OmegaT you cannot use svn snapshot of htmlparser. Would you ask the upstream
to change the license?
Comment 7 Mamoru TASAKA 2008-09-08 14:28:58 EDT
Well, now I could find your -3 srpm and the srpm itself looks good.
So would you have some response from the upstream about licensing?
(again the license of 1.6 htmlparser is GPLv2+, so currently there is
 no problem for OmegaT.)
Comment 8 Ismael Olea 2008-09-17 15:10:08 EDT
I've declined to write them for the moment. I'm pretty busy now and choosed to concentrate on finishing the whole OmegaT 1.7.* packaging. OTOH, It's not clear for me if there is any API change related with the licencing change too, so, my strategy is clearly conservative now :-)

At some point I'll start to work on the 1.8 beta. Then I'll review this thing again and probably I'll mail them about the CPL compatibility thing.
Comment 9 Mamoru TASAKA 2008-09-18 03:18:28 EDT
Okay, then I will wait for your 1.8 beta.
Comment 10 Mamoru TASAKA 2008-09-18 03:39:32 EDT
( I am already sponsoring )
Comment 11 Ismael Olea 2008-09-18 08:47:56 EDT
So, it's this package fedora‑review ? :-)
Comment 12 Mamoru TASAKA 2008-09-18 09:28:23 EDT
Ah, then you want to stay in 1.6 for a moment? Then I will recheck
-3 later.
Comment 13 Mamoru TASAKA 2008-09-18 10:03:30 EDT
Okay
* Notes
  - As said in OmegaT review request, please remove "olea" suffix from 
    %changelog.

-------------------------------------------------------------------
    This package (htmlparser) is APPROVED by mtasaka
-------------------------------------------------------------------
Comment 14 Ismael Olea 2008-10-05 22:23:18 EDT
New Package CVS Request
=======================
Package Name:       htmlparser
Short Description:  HTML Parser, a Java library used to parse HTML
Owners:             olea
Branches:           F-8 F-9
InitialCC:          mtasaka
Comment 15 Huzaifa S. Sidhpurwala 2008-10-06 05:49:30 EDT
cvs done
Comment 16 Mamoru TASAKA 2008-10-12 03:13:26 EDT
Please submit requests on bodhi to push packages to repositories:
https://admin.fedoraproject.org/updates/
Comment 17 Ismael Olea 2008-10-12 16:23:29 EDT
done for:

htmlparser-1.6-3.fc8
htmlparser-1.6-3.fc9


Dunno how to do the equivalent for devel...
Comment 18 Mamoru TASAKA 2008-10-12 21:55:32 EDT
Currently there is no need to submit a push request for F-10.
When you think F-8/9 packages can be moved from testing to stable
repository, please edit the submitted request on bodhi.

Now closing.
Comment 19 Ismael Olea 2009-07-07 07:19:24 EDT
New Package CVS Request
=======================
Package Name:       htmlparser
Short Description:  HTML Parser, a Java library used to parse HTML
Owners:             olea
Branches:           EL-5
InitialCC:          mtasaka
Comment 20 Jason Tibbitts 2009-07-08 12:29:49 EDT
This package already exists.  Did you just want to add a new branch?  If so, see https://fedoraproject.org/wiki/CVS_admin_requests

If you want to change owners or change who is CC'd, you can do that via the pkgdb page at https://admin.fedoraproject.org/pkgdb/packages/name/htmlparser
Comment 21 Ismael Olea 2009-07-08 12:45:13 EDT
Package Change Request
======================
Package Name: htmlparser
New Branches: EL-5
Owners: olea
Comment 22 Jason Tibbitts 2009-07-08 13:06:06 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.